Commit 706ecf34 authored by Jan Kiene's avatar Jan Kiene
Browse files

Merge branch 'main' into 831-long-selftest-omasa-and-osba-parts-are-missing

parents 3e3e97d3 d2b2dba7
Loading
Loading
Loading
Loading
Loading
+37 −0
Original line number Diff line number Diff line
@@ -337,6 +337,30 @@ build-codec-sanitizers-linux:
    # need to use the "|| exit $?" suffix to get the allowed_failure return code, otherwise the job fails with code 1...<
    - ci/check_for_warnings.py $BUILD_OUTPUT || exit $?

build-codec-include-split-linux-make:
  extends:
    - .build-job-with-check-for-warnings
    - .rules-basis
  script:
    - *print-common-info
    - make -j INCLUDE_SPLIT=1 2>&1 | tee $BUILD_OUTPUT
    # need to use the "|| exit $?" suffix to get the allowed_failure return code, otherwise the job fails with code 1...<
    - ci/check_for_warnings.py $BUILD_OUTPUT || exit $?

build-codec-include-split-linux-cmake:
  extends:
    - .build-job-with-check-for-warnings
    - .rules-basis
  script:
    - *print-common-info
    - mkdir build
    - cd build
    - cmake .. -DINCLUDE_SPLIT=1
    - cd ..
    - make -C build -j 2>&1 | tee $BUILD_OUTPUT
    # need to use the "|| exit $?" suffix to get the allowed_failure return code, otherwise the job fails with code 1...<
    - ci/check_for_warnings.py $BUILD_OUTPUT || exit $?

build-codec-windows-cmake:
  extends:
    - .build-job-windows-with-check-for-warnings
@@ -350,6 +374,19 @@ build-codec-windows-cmake:
    - ("& python ci/check_for_warnings.py '$BUILD_OUTPUT'") | Invoke-Expression
    - ("exit $LASTEXITCODE") | Invoke-Expression

build-codec-windows-include-split-cmake:
  extends:
    - .build-job-windows-with-check-for-warnings
    - .rules-basis
  script:
    - *print-common-info-windows
    - $winoutdata = $null
    - cmake -DINCLUDE_SPLIT=1 -G "Visual Studio 15 2017" . -Bbuild
    - cmake --build build -j | tee -variable winoutdata
    - $winoutdata | Out-File $BUILD_OUTPUT -Encoding Utf8
    - ("& python ci/check_for_warnings.py '$BUILD_OUTPUT'") | Invoke-Expression
    - ("exit $LASTEXITCODE") | Invoke-Expression

build-codec-windows-msbuild:
  extends:
    - .build-job-windows-with-check-for-warnings
+0 −1
Original line number Diff line number Diff line
@@ -264,7 +264,6 @@
    <ClCompile Include="..\lib_dec\ivas_svd_dec.c" />
    <ClCompile Include="..\lib_dec\ivas_tcx_core_dec.c" />
    <ClCompile Include="..\lib_dec\ivas_td_low_rate_dec.c" />
    <ClCompile Include="..\lib_dec\ivas_vbap.c" />
    <ClCompile Include="..\lib_dec\jbm_jb4sb.c" />
    <ClCompile Include="..\lib_dec\jbm_jb4_circularbuffer.c" />
    <ClCompile Include="..\lib_dec\jbm_jb4_inputbuffer.c" />
+0 −3
Original line number Diff line number Diff line
<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <ClCompile Include="..\lib_dec\ivas_vbap.c">
      <Filter>decoder_ivas_c</Filter>
    </ClCompile>
    <ClCompile Include="..\lib_dec\ivas_agc_dec.c">
      <Filter>decoder_ivas_c</Filter>
    </ClCompile>
+1 −0
Original line number Diff line number Diff line
@@ -191,6 +191,7 @@
    <ClCompile Include="..\lib_rend\ivas_rotation.c" />
    <ClCompile Include="..\lib_rend\ivas_rom_rend.c" />
    <ClCompile Include="..\lib_rend\ivas_shoebox.c" />
    <ClCompile Include="..\lib_rend\ivas_vbap.c" />
    <ClCompile Include="..\lib_rend\lib_rend.c" />
  </ItemGroup>
  <ItemGroup>
+3 −0
Original line number Diff line number Diff line
@@ -158,6 +158,9 @@
    <ClCompile Include="..\lib_rend\ivas_reflections.c">
      <Filter>rend_c</Filter>
    </ClCompile>
    <ClCompile Include="..\lib_rend\ivas_vbap.c">
      <Filter>rend_c</Filter>
    </ClCompile>
    <ClCompile Include="..\lib_rend\ivas_lcld_rom_tables.c">
      <Filter>rend_c</Filter>
    </ClCompile>
Loading